# Filing Issues and Contributing to this Repo

Thank you for considering a contribution to this repository!

Please review and follow the guidance contained in this document when filing issues or contributing to this repository.

## Filing Issues

Filing issues is a critical contribution to mainain and improve the quality of this repo. When filing issues, it is, however, 
asked that you follow a few simple guidelines to allow reasonable scope management and support a swift resolution.

### Check Prior Issues

To avoid duplicates, please do a quick check if the issue you would like to be addressed has already been opened or even closed after discussion/resolution.
If the issue is already open, use the existing thread to add relevant comments. If a closely related issue has been closed already, review the thread.

If the discussion in the closed thread does not fully address your question, add a new comment to the issue explaining your concern.
Your newly added comment can then serve as a basis to consider re-opening the issue or spinning of a new issue, as the case may be.

### Suitable Types of Questions/Issues

As a guiding principle the **issues in this repo should be one of the following**:

* identified or suspected bugs with the implementation of the code in this repo,
* feature/enhancement requests,
* errors/omissions in the documentation in this repo, or
* suggested improvements to the tooling.

When filing a bug report, please identify the specific error encountered along side a minimally viable code example reproducing the error.

### Unsuitable Types of Questions/Issues

**Questions on how to use D3 and Angular** separetely or in conjunction with each other, **should be posted on StackOverflow** or a similar forum.
This includes questions particular to using D3 with TypeScript.

**Issues (Bugs, Enhancements) related to the D3 module TypeScript defintions should be posted on [DefinitelyTyped](https://github.com/DefinitelyTyped/DefinitelyTyped)**, where they are actively maintained.

## Contributing Through Pull Requests

Before starting to create/submit- pull requests with proposed fixes, improvements or other changes, please open an issue briefly describing the intent as per the above guidance.

This way it is easy to triage the underlying concern and ensure that you do not spend your valuable cycles on an effort that may be outside the scope of the repo.


